Bug 1123776 - mingw-qt5-qtdeclarative-static is missing
Summary: mingw-qt5-qtdeclarative-static is missing
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-qt5-qtdeclarative
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Erik van Pienbroek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 08:53 UTC by Francesco Frassinelli (frafra)
Modified: 2015-01-24 18:50 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-01-12 23:58:23 UTC


Attachments (Terms of Use)

Description Francesco Frassinelli (frafra) 2014-07-28 08:53:03 UTC
Description of problem:

For qt5-qtbase there is mingw32-qt5-qtbase-static, but there's no mingw32-qt5-qtdeclarative-static for qt5-qtdeclarative.

QtQuick/QML is an important part of Qt5 and I think it would be great to create static app for Windows using it.

Comment 1 Fedora Update System 2015-01-02 19:25:43 UTC
mingw-qt5-qtwinextras-5.4.0-1.el7,mingw-qt5-qtwebkit-5.4.0-1.el7,mingw-qt5-qttranslations-5.4.0-1.el7,mingw-qt5-qttools-5.4.0-1.el7,mingw-qt5-qtsvg-5.4.0-1.el7,mingw-qt5-qtsensors-5.4.0-1.el7,mingw-qt5-qtscript-5.4.0-1.el7,mingw-qt5-qtquick1-5.4.0-1.el7,mingw-qt5-qtmultimedia-5.4.0-1.el7,mingw-qt5-qtlocation-5.4.0-1.el7,mingw-qt5-qtimageformats-5.4.0-1.el7,mingw-qt5-qtgraphicaleffects-5.4.0-1.el7,mingw-qt5-qtdeclarative-5.4.0-1.el7,mingw-qt5-qtbase-5.4.0-3.el7,mingw-harfbuzz-0.9.37-2.el7,mingw-angleproject-0-0.11.git.30d6c2.20141113.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mingw-qt5-qtwinextras-5.4.0-1.el7,mingw-qt5-qtwebkit-5.4.0-1.el7,mingw-qt5-qttranslations-5.4.0-1.el7,mingw-qt5-qttools-5.4.0-1.el7,mingw-qt5-qtsvg-5.4.0-1.el7,mingw-qt5-qtsensors-5.4.0-1.el7,mingw-qt5-qtscript-5.4.0-1.el7,mingw-qt5-qtquick1-5.4.0-1.el7,mingw-qt5-qtmultimedia-5.4.0-1.el7,mingw-qt5-qtlocation-5.4.0-1.el7,mingw-qt5-qtimageformats-5.4.0-1.el7,mingw-qt5-qtgraphicaleffects-5.4.0-1.el7,mingw-qt5-qtdeclarative-5.4.0-1.el7,mingw-qt5-qtbase-5.4.0-3.el7,mingw-harfbuzz-0.9.37-2.el7,mingw-angleproject-0-0.11.git.30d6c2.20141113.el7

Comment 2 Fedora Update System 2015-01-02 19:29:39 UTC
mingw-qt5-qtwebkit-5.4.0-1.fc21, mingw-qt5-qtwinextras-5.4.0-1.fc21, mingw-qt5-qttranslations-5.4.0-1.fc21, mingw-qt5-qttools-5.4.0-1.fc21, mingw-qt5-qtsvg-5.4.0-1.fc21, mingw-qt5-qtsensors-5.4.0-1.fc21, mingw-qt5-qtscript-5.4.0-1.fc21, mingw-qt5-qtmultimedia-5.4.0-1.fc21, mingw-qt5-qtlocation-5.4.0-1.fc21, mingw-qt5-qtimageformats-5.4.0-1.fc21, mingw-qt5-qtgraphicaleffects-5.4.0-1.fc21, mingw-qt5-qtdeclarative-5.4.0-1.fc21, mingw-qt5-qtbase-5.4.0-3.fc21, mingw-harfbuzz-0.9.37-2.fc21, mingw-angleproject-0-0.11.git.30d6c2.20141113.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mingw-qt5-qtwebkit-5.4.0-1.fc21,mingw-qt5-qtwinextras-5.4.0-1.fc21,mingw-qt5-qttranslations-5.4.0-1.fc21,mingw-qt5-qttools-5.4.0-1.fc21,mingw-qt5-qtsvg-5.4.0-1.fc21,mingw-qt5-qtsensors-5.4.0-1.fc21,mingw-qt5-qtscript-5.4.0-1.fc21,mingw-qt5-qtmultimedia-5.4.0-1.fc21,mingw-qt5-qtlocation-5.4.0-1.fc21,mingw-qt5-qtimageformats-5.4.0-1.fc21,mingw-qt5-qtgraphicaleffects-5.4.0-1.fc21,mingw-qt5-qtdeclarative-5.4.0-1.fc21,mingw-qt5-qtbase-5.4.0-3.fc21,mingw-harfbuzz-0.9.37-2.fc21,mingw-angleproject-0-0.11.git.30d6c2.20141113.fc21

Comment 3 Fedora Update System 2015-01-03 14:37:49 UTC
mingw-qt5-qtwinextras-5.4.0-1.fc20,mingw-qt5-qtwebkit-5.4.0-1.fc20,mingw-qt5-qttranslations-5.4.0-1.fc20,mingw-qt5-qttools-5.4.0-1.fc20,mingw-qt5-qtsvg-5.4.0-1.fc20,mingw-qt5-qtsensors-5.4.0-1.fc20,mingw-qt5-qtscript-5.4.0-1.fc20,mingw-qt5-qtquick1-5.4.0-1.fc20,mingw-qt5-qtmultimedia-5.4.0-1.fc20,mingw-qt5-qtlocation-5.4.0-1.fc20,mingw-qt5-qtimageformats-5.4.0-1.fc20,mingw-qt5-qtgraphicaleffects-5.4.0-1.fc20,mingw-qt5-qtdeclarative-5.4.0-1.fc20,mingw-qt5-qtbase-5.4.0-3.fc20,mingw-harfbuzz-0.9.37-2.fc20,mingw-angleproject-0-0.11.git.30d6c2.20141113.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mingw-qt5-qtwinextras-5.4.0-1.fc20,mingw-qt5-qtwebkit-5.4.0-1.fc20,mingw-qt5-qttranslations-5.4.0-1.fc20,mingw-qt5-qttools-5.4.0-1.fc20,mingw-qt5-qtsvg-5.4.0-1.fc20,mingw-qt5-qtsensors-5.4.0-1.fc20,mingw-qt5-qtscript-5.4.0-1.fc20,mingw-qt5-qtquick1-5.4.0-1.fc20,mingw-qt5-qtmultimedia-5.4.0-1.fc20,mingw-qt5-qtlocation-5.4.0-1.fc20,mingw-qt5-qtimageformats-5.4.0-1.fc20,mingw-qt5-qtgraphicaleffects-5.4.0-1.fc20,mingw-qt5-qtdeclarative-5.4.0-1.fc20,mingw-qt5-qtbase-5.4.0-3.fc20,mingw-harfbuzz-0.9.37-2.fc20,mingw-angleproject-0-0.11.git.30d6c2.20141113.fc20

Comment 4 Fedora Update System 2015-01-03 19:12:32 UTC
Package mingw-qt5-qtwebkit-5.4.0-1.fc21, mingw-qt5-qtwinextras-5.4.0-1.fc21, mingw-qt5-qttranslations-5.4.0-1.fc21, mingw-qt5-qttools-5.4.0-1.fc21, mingw-qt5-qtsvg-5.4.0-1.fc21, mingw-qt5-qtsensors-5.4.0-1.fc21, mingw-qt5-qtscript-5.4.0-1.fc21, mingw-qt5-qtmultimedia-5.4.0-1.fc21, mingw-qt5-qtlocation-5.4.0-1.fc21, mingw-qt5-qtimageformats-5.4.0-1.fc21, mingw-qt5-qtgraphicaleffects-5.4.0-1.fc21, mingw-qt5-qtdeclarative-5.4.0-1.fc21, mingw-qt5-qtbase-5.4.0-3.fc21, mingw-harfbuzz-0.9.37-2.fc21, mingw-angleproject-0-0.11.git.30d6c2.20141113.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-qt5-qtwebkit-5.4.0-1.fc21 mingw-qt5-qtwinextras-5.4.0-1.fc21 mingw-qt5-qttranslations-5.4.0-1.fc21 mingw-qt5-qttools-5.4.0-1.fc21 mingw-qt5-qtsvg-5.4.0-1.fc21 mingw-qt5-qtsensors-5.4.0-1.fc21 mingw-qt5-qtscript-5.4.0-1.fc21 mingw-qt5-qtmultimedia-5.4.0-1.fc21 mingw-qt5-qtlocation-5.4.0-1.fc21 mingw-qt5-qtimageformats-5.4.0-1.fc21 mingw-qt5-qtgraphicaleffects-5.4.0-1.fc21 mingw-qt5-qtdeclarative-5.4.0-1.fc21 mingw-qt5-qtbase-5.4.0-3.fc21 mingw-harfbuzz-0.9.37-2.fc21 mingw-angleproject-0-0.11.git.30d6c2.20141113.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0111/mingw-qt5-qtwebkit-5.4.0-1.fc21,mingw-qt5-qtwinextras-5.4.0-1.fc21,mingw-qt5-qttranslations-5.4.0-1.fc21,mingw-qt5-qttools-5.4.0-1.fc21,mingw-qt5-qtsvg-5.4.0-1.fc21,mingw-qt5-qtsensors-5.4.0-1.fc21,mingw-qt5-qtscript-5.4.0-1.fc21,mingw-qt5-qtmultimedia-5.4.0-1.fc21,mingw-qt5-qtlocation-5.4.0-1.fc21,mingw-qt5-qtimageformats-5.4.0-1.fc21,mingw-qt5-qtgraphicaleffects-5.4.0-1.fc21,mingw-qt5-qtdeclarative-5.4.0-1.fc21,mingw-qt5-qtbase-5.4.0-3.fc21,mingw-harfbuzz-0.9.37-2.fc21,mingw-angleproject-0-0.11.git.30d6c2.20141113.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-01-12 23:58:23 UTC
mingw-qt5-qtwebkit-5.4.0-1.fc21, mingw-qt5-qtwinextras-5.4.0-1.fc21, mingw-qt5-qttranslations-5.4.0-1.fc21, mingw-qt5-qttools-5.4.0-1.fc21, mingw-qt5-qtsvg-5.4.0-1.fc21, mingw-qt5-qtsensors-5.4.0-1.fc21, mingw-qt5-qtscript-5.4.0-1.fc21, mingw-qt5-qtmultimedia-5.4.0-1.fc21, mingw-qt5-qtlocation-5.4.0-1.fc21, mingw-qt5-qtimageformats-5.4.0-1.fc21, mingw-qt5-qtgraphicaleffects-5.4.0-1.fc21, mingw-qt5-qtdeclarative-5.4.0-1.fc21, mingw-qt5-qtbase-5.4.0-3.fc21, mingw-harfbuzz-0.9.37-2.fc21, mingw-angleproject-0-0.11.git.30d6c2.20141113.fc21, mingw-qt5-qtquick1-5.4.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-01-13 00:04:24 UTC
mingw-qt5-qtwinextras-5.4.0-1.fc20, mingw-qt5-qtwebkit-5.4.0-1.fc20, mingw-qt5-qttranslations-5.4.0-1.fc20, mingw-qt5-qttools-5.4.0-1.fc20, mingw-qt5-qtsvg-5.4.0-1.fc20, mingw-qt5-qtsensors-5.4.0-1.fc20, mingw-qt5-qtscript-5.4.0-1.fc20, mingw-qt5-qtquick1-5.4.0-1.fc20, mingw-qt5-qtmultimedia-5.4.0-1.fc20, mingw-qt5-qtlocation-5.4.0-1.fc20, mingw-qt5-qtimageformats-5.4.0-1.fc20, mingw-qt5-qtgraphicaleffects-5.4.0-1.fc20, mingw-qt5-qtdeclarative-5.4.0-1.fc20, mingw-qt5-qtbase-5.4.0-3.fc20, mingw-harfbuzz-0.9.37-2.fc20, mingw-angleproject-0-0.11.git.30d6c2.20141113.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-01-24 18:50:44 UTC
mingw-qt5-qtwinextras-5.4.0-1.el7, mingw-qt5-qtwebkit-5.4.0-1.el7, mingw-qt5-qttranslations-5.4.0-1.el7, mingw-qt5-qttools-5.4.0-1.el7, mingw-qt5-qtsvg-5.4.0-1.el7, mingw-qt5-qtsensors-5.4.0-1.el7, mingw-qt5-qtscript-5.4.0-1.el7, mingw-qt5-qtquick1-5.4.0-1.el7, mingw-qt5-qtmultimedia-5.4.0-1.el7, mingw-qt5-qtlocation-5.4.0-1.el7, mingw-qt5-qtimageformats-5.4.0-1.el7, mingw-qt5-qtgraphicaleffects-5.4.0-1.el7, mingw-qt5-qtdeclarative-5.4.0-1.el7, mingw-qt5-qtbase-5.4.0-3.el7, mingw-harfbuzz-0.9.37-2.el7, mingw-angleproject-0-0.11.git.30d6c2.20141113.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.